ModernLoop Internal API
Apipylon

Update a Pylon team (PATCH /teams/{id})

Write operation: mutates state in the upstream service.

curl -X PATCH "https://api.modernloop.dev/rest/v1/pylon/teams/string" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "name": "string",    "users": [      {        "id": "string",        "email": "string"      }    ]  },  "request_id": "string"}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Resource UUID or external identifier

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string
user_ids?array<string>

Response Body

application/json

application/json

application/json

application/json

application/json